## firetools 0.9.44

=== src/Makefile ===
APPS = firetools firemgr
.PHONY: apps $(APPS)
apps: $(APPS)
$(APPS):
	$(MAKE) -C $@

clean:;
	for dir in $(APPS); do \
		$(MAKE) -C $$dir clean; \
	done

## firetools 0.9.40.1

=== debian/changelog ===
firetools (0.9.40.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patch applied upstream.
  * Add Vcs-* fields; repository is now on collab-maint.
  * Add gbp.conf to enable pristine-tar by default.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 17 Jun 2016 22:24:27 +0200

firetools (0.9.40-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Drop patches applied upstream.
  * Amend debian/copyright for new icons.
  * Drop xterm from dependencies; no longer required by upstream.
  * Build with --as-needed to prevent unnecessary linking against libGL.
  * Add patch to replace hardcoded username in home dir selection.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 31 May 2016 00:49:25 +0200

firetools (0.9.30-2) unstable; urgency=low

  * Fix building on architectures other than amd64, by checking for Qt5
    with pkg-config (Closes: #817273).
  * Use dh-autoreconf for regenerating configure.
  * Remove libqt5svg5-dev from build dependencies, as it is not required.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 09 Mar 2016 18:23:23 +0100

firetools (0.9.30-1) unstable; urgency=low

  * Initial release (Closes: #790063)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 03 Mar 2016 19:01:23 +0100

=== debian/control ===
Source: firetools
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 9), qtbase5-dev, pkg-config, dh-autoreconf
Standards-Version: 3.9.8
Homepage: https://firejail.wordpress.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firetools.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firetools.git

Package: firetools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, firejail
Description: Qt frontend for the Firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains the Qt-based frontend Firetools.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=qt5

%:
	dh $@ --parallel --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES upstream

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/firetools/usr/share/doc/firetools

## firetools 0.9.44

=== debian/changelog ===
firetools (0.9.44-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 10.
    - Drop --parallel and dh-autoreconf, as they are now enabled by default
  * Document license of firefox.png.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 25 Oct 2016 23:16:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 9), qtbase5-dev, pkg-config, dh-autoreconf
+Build-Depends: debhelper (>= 10), qtbase5-dev, pkg-config
 Standards-Version: 3.9.8
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firetools.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/ \
http://sf.net/firejail/firetools-(\d\S*)\.tar\.(?:gz|bz2|xz)

## firetools 0.9.46

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-APPS = firetools firemgr
+APPS = firetools firejail-ui fstats fmgr
 .PHONY: apps $(APPS)
 apps: $(APPS)
 $(APPS):

=== src/fstats/Makefile ===
#############################################################################
# Makefile for building: ../../build/fstats
# Generated by qmake (3.0) (Qt 5.3.2)
# Project:  fstats.pro
# Template: app
# Command: /usr/lib/x86_64-linux-gnu/qt5/bin/qmake -o Makefile fstats.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -m64 -pipe -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIE -pie -Wformat -Wformat-security -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
CXXFLAGS      = -m64 -pipe -fstack-protector-all -D_FORTIFY_SOURCE=2 -fPIE -pie -Wformat -Wformat-security -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
INCPATH       = -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64 -I. -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-z,relro -Wl,-z,now -Wl,-O1
LIBS          = $(SUBLIBS) -L/usr/X11R6/lib64 -lQt5Widgets -lQt5Gui -lQt5Core -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		stats_dialog.cpp \
		pid_thread.cpp \
		db.cpp \
		dbpid.cpp \
		graph.cpp \
		../common/utils.cpp \
		../common/pid.cpp qrc_fstats.cpp \
		moc_pid_thread.cpp \
		moc_stats_dialog.cpp
OBJECTS       = main.o \
		stats_dialog.o \
		pid_thread.o \
		db.o \
		dbpid.o \
		graph.o \
		utils.o \
		pid.o \
		qrc_fstats.o \
		moc_pid_thread.o \
		moc_stats_dialog.o
DIST          = /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/shell-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/uic.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf \
		fstats.pro main.cpp \
		stats_dialog.cpp \
		pid_thread.cpp \
		db.cpp \
		dbpid.cpp \
		graph.cpp \
		../common/utils.cpp \
		../common/pid.cpp
QMAKE_TARGET  = fstats
DESTDIR       = ../../build/#avoid trailing-slash linebreak
TARGET        = ../../build/fstats


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@test -d ../../build/ || mkdir -p ../../build/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fstats.pro /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/shell-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++-64/qmake.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/uic.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf \
		fstats.pro \
		fstats.qrc \
		/usr/lib/x86_64-linux-gnu/libQt5Widgets.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Gui.prl \
		/usr/lib/x86_64-linux-gnu/libQt5Core.prl
	$(QMAKE) -o Makefile fstats.pro
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/shell-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri:
/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri:

=== debian/changelog ===
firetools (0.9.46-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Revert back to debhelper 9 compat for ease of backporting.
  * Build against Qt 4 for ease of backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Apr 2017 11:50:33 -0700

firetools (0.9.46-1) experimental; urgency=low

  * New upstream release.
  * Add upstream signing key.
  * Check upstream signature with uscan.
  * debian/copyright:
    - Bump copyright years to 2017
    - Adapt paths to new location
    - Document copyright of calibre.png
  * Add patch to prevent stripping of binaries.
  * Clean remaining autogenerated files.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 26 Feb 2017 20:30:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: firetools
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 10), qtbase5-dev, pkg-config
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper (>= 9), libqt4-dev, pkg-config, dh-autoreconf
 Standards-Version: 3.9.8
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/firetools.git

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT=qt5
+export QT_SELECT=qt4
 
 %:
 	dh $@ --parallel --with autoreconf
 
 override_dh_installchangelogs:
-	dh_installchangelogs RELNOTES upstream
+	dh_installchangelogs RELNOTES
 
 override_dh_auto_install:
 	dh_auto_install

## firetools 0.9.50

=== debian/changelog ===
firetools (0.9.50-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.
  * Bump Standards-Version to 4.1.1; no changes required.
  * debian/copyright: document new file, remove no longer existing one.
  * debian/clean: remove pregenerated files no longer in upstream tarball.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 03 Oct 2017 17:28:00 +0200

firetools (0.9.46-3) unstable; urgency=low

  * Bump Standards-Version to 4.0.1; no changes required.
  * Call x-terminal-emulator instead of xterm. (Closes: #868492)

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 07 Aug 2017 14:30:08 +0200

firetools (0.9.46-2) unstable; urgency=low

  * Upload to unstable.
  * Depend on libqt5svg5 for SVG support.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2017 13:56:33 +0200

=== debian/control ===
Source: firetools
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 10), qtbase5-dev, pkg-config
Standards-Version: 4.1.1
Homepage: https://firejail.wordpress.com
Vcs-Git: https://anonscm.debian.org/git/collab-maint/firetools.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firetools.git

Package: firetools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, firejail, libqt5svg5, xterm | x-terminal-emulator
Description: Qt frontend for the Firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains the Qt-based frontend Firetools.

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
http://sf.net/firejail/firetools-(\d\S*)\.tar\.(?:gz|bz2|xz)

## firetools 0.9.52

=== debian/changelog ===
firetools (0.9.52-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper 9 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jul 2018 10:51:26 -0700

firetools (0.9.52-1) unstable; urgency=medium

  * New upstream release.
  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper dependency/compat to 11.
  * Change URLs in d/watch and d/copyright to https.
  * Add upstream metadata file.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 06 Mar 2018 20:01:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export QT_SELECT=qt4
+export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELNOTES

## firetools 0.9.58

=== debian/changelog ===
firetools (0.9.58-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 22 Jan 2021 11:17:03 +0800

firetools (0.9.58-1) unstable; urgency=medium

  * New upstream release.
  * Drop cross.patch applied upstream.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 25 Jan 2019 17:56:14 +0100

firetools (0.9.52-2) unstable; urgency=medium

  * Use correct host-prefixed qmake to allow cross-building.
    Thanks to Helmut Grohne for the patch. (Closes: #915278)
  * Bump Standards-Version to 4.3.0
    - Declare that debian/rules does not require root
  * Use new debhelper-compat dependency instead of d/compat and bump
    to version 12.
  * Add screenshots page to upstream metadata.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 04 Jan 2019 20:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 10), qtbase5-dev, pkg-config
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12), qtbase5-dev, pkg-config
+Standards-Version: 4.3.0
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/firetools.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/firetools.git
+Vcs-Git: https://salsa.debian.org/deki-guest/firetools.git
+Vcs-Browser: https://salsa.debian.org/deki-guest/firetools
+Rules-Requires-Root: no
 
 Package: firetools
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export QT_SELECT=qt5
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELNOTES

## firetools 0.9.62

=== debian/changelog ===
firetools (0.9.62-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Feb 2020 16:32:10 -0800

firetools (0.9.62-1) unstable; urgency=medium

  * New upstream release.
  * Drop as-needed linker flag from d/rules, as it is now enabled by default.
  * Cherry-pick fix for compilation with as-needed.
  * Update upstream homepage.
  * Bump Standards-Version to 4.4.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 18 Dec 2019 14:07:38 +0100

=== debian/control ===
Source: firetools
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 12), pkg-config, qtbase5-dev
Standards-Version: 4.4.1
Homepage: https://firejailtools.wordpress.com/
Vcs-Git: https://salsa.debian.org/deki-guest/firetools.git
Vcs-Browser: https://salsa.debian.org/deki-guest/firetools
Rules-Requires-Root: no

Package: firetools
Architecture: linux-any
Depends: firejail,
         libqt5svg5,
         xterm | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt frontend for the Firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains the Qt-based frontend Firetools.

## firetools 0.9.64

=== src/Makefile ===
--- 
+++ 
@@ -8,3 +8,8 @@
 	for dir in $(APPS); do \
 		$(MAKE) -C $$dir clean; \
 	done
+
+distclean:;
+	for dir in $(APPS); do \
+		$(MAKE) -C $$dir distclean; \
+	done

=== debian/changelog ===
firetools (0.9.64-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Feb 2021 07:26:41 -0800

firetools (0.9.64-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch applied upstream.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper compat to 13.
  * Update Vcs-* URLs.
  * Update watch file to version 4.
  * Update upstream information.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 14 Jan 2021 19:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+XSBC-Original-Maintainer: Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 12), pkg-config, qtbase5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://firejailtools.wordpress.com/
-Vcs-Git: https://salsa.debian.org/deki-guest/firetools.git
-Vcs-Browser: https://salsa.debian.org/deki-guest/firetools
+Vcs-Git: https://salsa.debian.org/reiner/firetools.git
+Vcs-Browser: https://salsa.debian.org/reiner/firetools
 Rules-Requires-Root: no
 
 Package: firetools

## firetools 0.9.72

=== debian/changelog ===
firetools (0.9.72-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:17 +1100

firetools (0.9.72-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:23:36 +0000

firetools (0.9.72-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.2.
  * Exclude object files from upstream tarball.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 25 Jan 2023 20:34:25 +0100

=== debian/control ===
Source: firetools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13), qtbase5-dev, pkg-config
Standards-Version: 4.6.2
Homepage: https://firejailtools.wordpress.com/
Vcs-Git: https://salsa.debian.org/reiner/firetools.git
Vcs-Browser: https://salsa.debian.org/reiner/firetools
Rules-Requires-Root: no

Package: firetools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, firejail, libqt5svg5, xterm | x-terminal-emulator
Description: Qt frontend for the Firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains the Qt-based frontend Firetools.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT=qt5

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://sf.net/firejail/firetools-@ANY_VERSION@@ARCHIVE_EXT@
